GNUNET-TESTING(1)

NAME
gnunet-testing - command line tool to access the testing library

SYNOPSIS
gnunet-testing [-C | --cfg] [-c FILENAME | --config=FILENAME] [-H | --hostkeys] [-h | --help] [-k | --key] [-L LOGLEVEL | --loglevel=LOGLEVEL] [-l LOGFILE | --logfile=LOFILE] [-n | --number] [-t | --template] [-v | --version]

DESCRIPTION
gnunet-testing is a command line tool to access the testing library.

OPTIONS

-C | --cfg
    Create unique configuration files.

-c FILENAME | --config=FILENAME
    Use the configuration file FILENAME.

-H | --hostkeys
    Host key file.

-h | --help
    Print short help on options.

-k | --key
    Create hostkey files from pre-computed hostkey list.

-L LOGLEVEL | --loglevel=LOGLEVEL
    Use LOGLEVEL for logging. Valid values are DEBUG, INFO, WARNING and ERROR.

-l LOGFILE | --logfile=LOFILE
    Configure logging to write logs to LOGFILE.

-n | --number
    Number of unique configuration files or hostkeys to create.

-t | --template
    Configuration template.

-v | --version
    Print GNUnet version number.

SEE ALSO
The full documentation for gnunet is maintained as a Texinfo manual. If the info(1) and gnunet programs are properly installed at your site, the command

    info gnunet

should give you access to the complete handbook,

    info gnunet-c-tutorial

will give you access to a tutorial for developers.

Depending on your installation, this information is also available in gnunet(7) and gnunet-c-tutorial(7).

BUGS
Report bugs by using https://bugs.gnunet.org or by sending electronic mail to <gnunet-developers@gnu.org>.